classification
Title: Clarify available commands for package installation
Type: enhancement Stage: resolved
Components: Devguide, Documentation Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ncoghlan Nosy List: dstufft, ezio.melotti, ncoghlan, python-dev
Priority: normal Keywords:

Created on 2014-08-28 20:49 by ncoghlan, last changed 2014-09-06 10:42 by ncoghlan. This issue is now closed.

Messages (5)
msg226042 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-08-28 20:49
https://docs.python.org/3/installing/index.html is too subtle in pointing out the command in a source build or system Python on POSIX is "pip3" or "pip3.4" rather than the unadorned "pip".

At least one example should show pip3, and it's likely worth having an explanation in the last section on building from source.
msg226044 - (view) Author: Donald Stufft (dstufft) * (Python committer) Date: 2014-08-28 21:32
If you want to be completely unambiguous, python -m pip works as well.
msg226051 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-08-29 04:35
Yes, that came up on Twitter as well (where this conversation started).

I think that's the best way to go - it's the only invocation that works *everywhere*, regardless of how your Python instance got installed.
msg226481 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-09-06 10:40
New changeset e8447da8791d by Nick Coghlan in branch '3.4':
Issue #22295: Adopt 'python -m pip' as the preferred invocation
http://hg.python.org/cpython/rev/e8447da8791d

New changeset a969b42e6e2b by Nick Coghlan in branch 'default':
Merge issue #22295 fix from 3.4
http://hg.python.org/cpython/rev/a969b42e6e2b
msg226482 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-09-06 10:42
Switched to "python -m pip".

To deal with "python3" vs "python" parallel system installs, I made the assumption that folks are using virtual environments explicitly, rather than diving into the arcana associated with using pip in conjunction with a system Python installation.
History
Date User Action Args
2014-09-06 10:42:54ncoghlansetstatus: open -> closed
versions: + Python 3.4, Python 3.5
messages: + msg226482

resolution: fixed
stage: resolved
2014-09-06 10:40:19python-devsetnosy: + python-dev
messages: + msg226481
2014-08-29 04:35:45ncoghlansetmessages: + msg226051
2014-08-28 21:32:43dstufftsetnosy: + dstufft
messages: + msg226044
2014-08-28 20:49:05ncoghlancreate